Status: Closed % Done: 0%
Priority: Normal Spent time: 0.00 hour
Assignee: Cesar Martinez Izquierdo
Category: WMS
Target version: 2.2.0-2306  (rev. org.gvsig.desktop-2.0.93)
Severity: Minor Add-on version:
gvSIG version: 2.1.0 Add-on build:
gvSIG build: Add-on resolve version:
Operative System: Add-on resolve build:
Keywords: Proyecto:
Has patch: Hito:
Add-on name: Unknown
Description

When a WMS layer requires several map requests (because the viewport image size is bigger than the maximum allowed tile size),
some corner tiles are not drawn.
The problem can be reproduced by loading any WMS server (for instance http://geoserveis.icc.cat/icc_mapesbase/wms/service),
maximixing the window of the view (to ensure several tiles are requested) and then panning the map up and right (to don't be centered
on the layer extent). Try panning several times up and right and at some point one of the tiles will not be drawn.

This happens because a part of the tile is outside the layer extent, and therefore only the relevant part of the tile is requested in
LyrWMS. However, the extent and affine transform is not updated accordingly, and the the tile is not visible on screen (probably it is
drawn somewhere, but outside the visible area).

Related issues:
Related to Application: gvSIG desktop - gvSIG bugs # 3181: Error al exportar ... Won't fix 02/11/2015

History
#1 - 03/13/2015 09:57 AM - Cesar Martinez Izquierdo
- Related to gvSIG bugs #3181: Error al exportar a PDF un layout con WMS added

#2 - 03/14/2015 07:22 PM - Cesar Martinez Izquierdo
- Status changed from In progress to Fixed

#3 - 04/10/2015 12:59 PM - Álvaro Anguix
- Target version set to 2.2.0-2307 (rev. org.gvsig.desktop-2.0.94)

#4 - 04/20/2015 06:01 PM - Francisco Díaz Carsí
- Target version changed from 2.2.0-2307 (rev. org.gvsig.desktop-2.0.94) to 2.2.0-2306  (rev. org.gvsig.desktop-2.0.93)

#5 - 04/21/2015 10:45 AM - Álvaro Anguix
- Status changed from Fixed to Closed

05/17/2024 1/1

http://geoserveis.icc.cat/icc_mapesbase/wms/service

